Name:           perl-Sys-SigAction
Version:        0.20
Release:        1%{?dist}
Summary:        Perl extension for Consistent Signal Handling
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Sys-SigAction/
Source0:        http://www.cpan.org/modules/by-module/Sys/Sys-SigAction-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  /usr/bin/pod2man
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Time::HiRes)


%description
Sys::SigAction provides EASY access to POSIX::sigaction() for signal 
handling on systems that support sigaction().
It is hoped that with the use of this module, your signal handling 
behavior can be coded in a way that does not change from one perl 
version to the next, and that sigaction() will be easier for you to use.

%prep
%setup -q -n Sys-SigAction-%{version}
pod2man < dbd-oracle-timeout.POD > dbd-oracle-timeout.man

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README dbd-oracle-timeout.man
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug  5 2013 Paul Howarth <paul@city-fan.org> - 0.20-1
- Update to 0.20
- BR:/R: perl(Time::HiRes)
- BR: perl(Config), perl(POSIX), /usr/bin/pod2man
- Don't need to remove empty directories from the buildroot

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.11-13
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.11-10
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Petr Sabata <contyk@redhat.com> - 0.11-8
- Perl mass rebuild in dist-f16-perl (d'oh)

* Mon Jun 20 2011 Petr Sabata <contyk@redhat.com> - 0.11-7
- Perl mass rebuild
- Remove now obsolete Buildroot and defattr

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-5
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.11-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.11-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 23 2009 Andreas Thienemann <andreas@bawue.net> - 0.11-1
- Update to 0.11

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.10-3
- Rebuild for new perl

* Sun Jan 27 2008 Andreas Thienemann <andreas@bawue.net> 0.10-2
- Added Test::More to the BuildReqs

* Thu Mar 15 2007 Andreas Thienemann <andreas@bawue.net> 0.10-1
- Specfile autogenerated by cpanspec 1.69.1.
- Cleaned up for FE
